Bug 1030403 - [abrt] nm-connection-editor-0.9.9.0-8.git20131108.el7: remote_call_complete: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
[abrt] nm-connection-editor-0.9.9.0-8.git20131108.el7: remote_call_complete: ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dan Williams
Desktop QE
abrt_hash:6f41119e66c790ec28ee73822d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 06:25 EST by Vladimir Benes
Modified: 2014-06-17 22:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-28.git20131212.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.57 KB, text/plain)
2013-11-14 06:25 EST, Vladimir Benes
no flags Details
File: cgroup (171 bytes, text/plain)
2013-11-14 06:25 EST, Vladimir Benes
no flags Details
File: core_backtrace (11.69 KB, text/plain)
2013-11-14 06:25 EST, Vladimir Benes
no flags Details
File: dso_list (9.71 KB, text/plain)
2013-11-14 06:25 EST, Vladimir Benes
no flags Details
File: environ (1.44 KB, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details
File: maps (51.01 KB, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details
File: open_fds (1.09 KB, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details
File: var_log_messages (268 bytes, text/plain)
2013-11-14 06:26 EST, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2013-11-14 06:25:46 EST
Description of problem:
setting some changes to lo device.. autoconnect or so?

Version-Release number of selected component:
nm-connection-editor-0.9.9.0-8.git20131108.el7

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        nm-connection-editor --edit 85308358-55bb-4655-a5c4-eea8fb18dc44
crash_function: remote_call_complete
executable:     /usr/bin/nm-connection-editor
kernel:         3.10.0-48.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 remote_call_complete at nm-remote-connection.c:121
 #1 result_cb at nm-remote-connection.c:145
 #2 complete_pending_call_and_unlock at dbus-connection.c:2314
Comment 1 Vladimir Benes 2013-11-14 06:25:49 EST
Created attachment 823879 [details]
File: backtrace
Comment 2 Vladimir Benes 2013-11-14 06:25:52 EST
Created attachment 823880 [details]
File: cgroup
Comment 3 Vladimir Benes 2013-11-14 06:25:55 EST
Created attachment 823881 [details]
File: core_backtrace
Comment 4 Vladimir Benes 2013-11-14 06:25:58 EST
Created attachment 823882 [details]
File: dso_list
Comment 5 Vladimir Benes 2013-11-14 06:26:01 EST
Created attachment 823883 [details]
File: environ
Comment 6 Vladimir Benes 2013-11-14 06:26:04 EST
Created attachment 823884 [details]
File: exploitable
Comment 7 Vladimir Benes 2013-11-14 06:26:07 EST
Created attachment 823885 [details]
File: limits
Comment 8 Vladimir Benes 2013-11-14 06:26:09 EST
Created attachment 823886 [details]
File: maps
Comment 9 Vladimir Benes 2013-11-14 06:26:13 EST
Created attachment 823887 [details]
File: open_fds
Comment 10 Vladimir Benes 2013-11-14 06:26:15 EST
Created attachment 823888 [details]
File: proc_pid_status
Comment 11 Vladimir Benes 2013-11-14 06:26:18 EST
Created attachment 823889 [details]
File: var_log_messages
Comment 13 Thomas Haller 2013-11-18 17:02:51 EST
This was caused by a bug in libnm-glib/NetworkManager.

Push a fix to upstream master (or NetworkManager):

http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=fbcabeb7f72b710a790ca8617f7406a1ba7cf5be
Comment 14 Vadim Rutkovsky 2013-11-27 06:38:40 EST
Crashed on removing slave connection from bond

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        nm-connection-editor --edit d8ef0eae-ae5b-4a23-8147-078496033b32
crash_function: remote_call_complete
executable:     /usr/bin/nm-connection-editor
kernel:         3.10.0-55.el7.x86_64
package:        nm-connection-editor-0.9.9.0-8.git20131108.el7
reason:         Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
runlevel:       N 3
type:           CCpp
uid:            1000
Comment 16 Vladimir Benes 2014-02-04 09:32:50 EST
cannot manage lo any more
Comment 17 Ludek Smid 2014-06-13 05:45:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.